Bug 19972 - mod_dav-1.0.1-2 with apache-1.3.14-3 breaks
mod_dav-1.0.1-2 with apache-1.3.14-3 breaks
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: mod_dav (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-28 18:59 EDT by Joe Orton
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-17 14:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2000-10-28 18:59:07 EDT
Using mod_dav-1.0.1-2 and apache-1.3.14-3 does not work:
Doing a COPY causes the httpd process to segfault.

Since a rebuild of mod_dav from the source RPM fixes this, I wonder if
this is happening because the RPM is built against apache-1.3.12.

It could do with an upgrade to mod_dav-1.0.2, and being rebuilt against
Apache-1.3.14.
 
mod_dav-1.0.2 URL is:
http://www.webdav.org/mod_dav/mod_dav-1.0.2-1.3.6.tar.gz

ps. I couldn't enter 'mod_dav' as a valid component name.
Comment 1 Nalin Dahyabhai 2000-11-17 14:28:00 EST
Aaargh.  After looking at this for some time, it appears that 1.3.12 is only
incompatible with 1.3.14 if both have the EAPI patch applied.  An errata package
is being prepped.
Comment 2 Joe Orton 2000-11-23 17:25:38 EST
Errata package has fixed this bug...

Thanks very much, Nalin!

Note You need to log in before you can comment on or make changes to this bug.